perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fred Moyer <f...@redhotpenguin.com>
Subject Re: Constant subroutine redefined at Apache/PerlRun.pm line 360
Date Wed, 29 Dec 2010 01:14:37 GMT
On Tue, Dec 28, 2010 at 4:56 PM, Peram, Sudhakara
<Sudhakara.Peram@pfizer.com> wrote:
> Hi All
>
>
>
> I am migrating Perl 5.005 to 5.12.2, Apache 1.3.9 to 1.3.42 and mod_perl
> 1.21 to 1.31. But I am getting following warnings in error_log file.

For what it is worth, you may want to upgrade to Apache 2.2.x and
mod_perl 2.0.4 instead.  The Apache 1.xx version line has been end of
lifed for almost a year now.  This doesn't mean you won't get help
from this list for mod_perl1, but if you are going to upgrade now,
consider mod_perl2 instead.

http://httpd.apache.org/

"Apache httpd 1.3.42 is the final stable version of the 1.3 series,
which was released and declared end of life on February 2nd, 2010. No
further development or maintenance will occur for the 1.3 series."

>
>
>
> Message in error_log:
>
>
>
> Constant subroutine Apache::ROOT::xxxxxx redefined at
> ~/lib/perl5/site_perl/5.12.2/sun4-solaris-64int/Apache/PerlRun.pm line 360.
>
>
>
> Can anyone let me know how to get rid of above warning messages.
>
>
>
> Thanks in advance for your help!
>
>
>
>
>
>
>
> Regards
>
> Sudhakar
>
>

Mime
View raw message